USN-6417-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6417-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6417-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6417-1
Related
  • CVE-2021-4001
  • CVE-2023-1206
  • CVE-2023-3212
  • CVE-2023-3338
  • CVE-2023-3863
  • CVE-2023-4194
Published
2023-10-04T22:42:49.495947Z
Modified
2023-10-04T22:42:49.495947Z
Summary
linux, linux-aws, linux-aws-5.4, linux-azure, linux-azure-5.4, linux-bluefield, linux-gcp, linux-gcp-5.4, linux-gkeop, linux-hwe-5.4, linux-ibm, linux-ibm-5.4, linux-iot, linux-kvm, linux-oracle, linux-oracle-5.4, linux-raspi, linux-raspi-5.4, linux-xilinx-zynqmp vulnerabilities
Details

It was discovered that the eBPF implementation in the Linux kernel contained a race condition around read-only maps. A privileged attacker could use this to modify read-only maps. (CVE-2021-4001)

It was discovered that the IPv6 implementation in the Linux kernel contained a high rate of hash collisions in connection lookup table. A remote attacker could use this to cause a denial of service (excessive CPU consumption). (CVE-2023-1206)

Yang Lan discovered that the GFS2 file system implementation in the Linux kernel could attempt to dereference a null pointer in some situations. An attacker could use this to construct a malicious GFS2 image that, when mounted and operated on, could cause a denial of service (system crash). (CVE-2023-3212)

Davide Ornaghi discovered that the DECnet network protocol implementation in the Linux kernel contained a null pointer dereference vulnerability. A remote attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. Please note that kernel support for the DECnet has been removed to resolve this CVE. (CVE-2023-3338)

It was discovered that the NFC implementation in the Linux kernel contained a use-after-free vulnerability when performing peer-to-peer communication in certain conditions. A privileged attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information (kernel memory). (CVE-2023-3863)

It was discovered that the TUN/TAP driver in the Linux kernel did not properly initialize socket data. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-4194)

References

Affected packages

Ubuntu:Pro:18.04:LTS / linux-aws-5.4

Package

Name
linux-aws-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1111.120~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-aws-5.4-cloud-tools-5.4.0-1111": "5.4.0-1111.120~18.04.1",
            "linux-image-aws-edge": "5.4.0.1111.89",
            "linux-headers-aws": "5.4.0.1111.89",
            "linux-image-unsigned-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-buildinfo-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-image-aws": "5.4.0.1111.89",
            "linux-modules-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-tools-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-aws": "5.4.0.1111.89",
            "linux-headers-aws-edge": "5.4.0.1111.89",
            "linux-cloud-tools-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-modules-extra-aws-edge": "5.4.0.1111.89",
            "linux-modules-extra-aws": "5.4.0.1111.89",
            "linux-modules-extra-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-tools-aws-edge": "5.4.0.1111.89",
            "linux-image-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-headers-5.4.0-1111-aws": "5.4.0-1111.120~18.04.1",
            "linux-aws-5.4-headers-5.4.0-1111": "5.4.0-1111.120~18.04.1",
            "linux-aws-edge": "5.4.0.1111.89",
            "linux-aws-5.4-tools-5.4.0-1111": "5.4.0-1111.120~18.04.1",
            "linux-tools-aws": "5.4.0.1111.89"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-azure-5.4

Package

Name
linux-azure-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1117.124~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-azure-edge": "5.4.0.1117.90",
            "linux-azure-5.4-headers-5.4.0-1117": "5.4.0-1117.124~18.04.1",
            "linux-signed-image-azure": "5.4.0.1117.90",
            "linux-modules-extra-azure": "5.4.0.1117.90",
            "linux-azure": "5.4.0.1117.90",
            "linux-cloud-tools-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-modules-extra-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-signed-azure": "5.4.0.1117.90",
            "linux-image-unsigned-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-modules-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-headers-azure-edge": "5.4.0.1117.90",
            "linux-azure-5.4-tools-5.4.0-1117": "5.4.0-1117.124~18.04.1",
            "linux-tools-azure": "5.4.0.1117.90",
            "linux-azure-5.4-cloud-tools-5.4.0-1117": "5.4.0-1117.124~18.04.1",
            "linux-headers-azure": "5.4.0.1117.90",
            "linux-tools-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-cloud-tools-azure-edge": "5.4.0.1117.90",
            "linux-image-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-image-azure": "5.4.0.1117.90",
            "linux-cloud-tools-azure": "5.4.0.1117.90",
            "linux-image-azure-edge": "5.4.0.1117.90",
            "linux-signed-azure-edge": "5.4.0.1117.90",
            "linux-signed-image-azure-edge": "5.4.0.1117.90",
            "linux-tools-azure-edge": "5.4.0.1117.90",
            "linux-headers-5.4.0-1117-azure": "5.4.0-1117.124~18.04.1",
            "linux-modules-extra-azure-edge": "5.4.0.1117.90"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-gcp-5.4

Package

Name
linux-gcp-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1115.124~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-headers-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-tools-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-image-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-gcp-5.4-tools-5.4.0-1115": "5.4.0-1115.124~18.04.1",
            "linux-tools-gcp": "5.4.0.1115.91",
            "linux-gcp-5.4-headers-5.4.0-1115": "5.4.0-1115.124~18.04.1",
            "linux-headers-gcp-edge": "5.4.0.1115.91",
            "linux-gcp": "5.4.0.1115.91",
            "linux-tools-gcp-edge": "5.4.0.1115.91",
            "linux-image-gcp-edge": "5.4.0.1115.91",
            "linux-image-gcp": "5.4.0.1115.91",
            "linux-headers-gcp": "5.4.0.1115.91",
            "linux-image-unsigned-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-gcp-edge": "5.4.0.1115.91",
            "linux-modules-extra-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-modules-extra-gcp": "5.4.0.1115.91",
            "linux-modules-extra-gcp-edge": "5.4.0.1115.91",
            "linux-modules-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1",
            "linux-buildinfo-5.4.0-1115-gcp": "5.4.0-1115.124~18.04.1"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-164.181~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-generic-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-headers-oem": "5.4.0.164.181~18.04.131",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-modules-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-lowlatency-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-hwe-5.4-tools-5.4.0-164": "5.4.0-164.181~18.04.1",
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-snapdragon-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-headers-generic-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-headers-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-oem": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-modules-extra-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-164.181~18.04.1",
            "linux-image-unsigned-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-generic-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-tools-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-hwe-5.4-headers-5.4.0-164": "5.4.0-164.181~18.04.1",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-buildinfo-5.4.0-164-generic": "5.4.0-164.181~18.04.1",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-headers-oem-osp1": "5.4.0.164.181~18.04.131",
            "linux-tools-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-164.181~18.04.1",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-headers-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-tools-oem-osp1": "5.4.0.164.181~18.04.131",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-oem-osp1": "5.4.0.164.181~18.04.131",
            "linux-headers-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-tools-oem": "5.4.0.164.181~18.04.131",
            "linux-hwe-5.4-tools-common": "5.4.0-164.181~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-oem": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-image-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-modules-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-image-generic-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-tools-virtual-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.164.181~18.04.131",
            "linux-hwe-5.4-cloud-tools-5.4.0-164": "5.4.0-164.181~18.04.1",
            "linux-image-unsigned-5.4.0-164-lowlatency": "5.4.0-164.181~18.04.1",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-oem-osp1": "5.4.0.164.181~18.04.131",
            "linux-tools-generic-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.164.181~18.04.131",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.164.181~18.04.131"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-ibm-5.4

Package

Name
linux-ibm-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1058.63~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-ibm-5.4-headers-5.4.0-1058": "5.4.0-1058.63~18.04.1",
            "linux-tools-ibm-edge": "5.4.0.1058.69",
            "linux-ibm-5.4-tools-5.4.0-1058": "5.4.0-1058.63~18.04.1",
            "linux-modules-extra-ibm": "5.4.0.1058.69",
            "linux-headers-ibm-edge": "5.4.0.1058.69",
            "linux-modules-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-headers-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-buildinfo-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-ibm-5.4-tools-common": "5.4.0-1058.63~18.04.1",
            "linux-ibm-edge": "5.4.0.1058.69",
            "linux-tools-ibm": "5.4.0.1058.69",
            "linux-image-unsigned-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-modules-extra-ibm-edge": "5.4.0.1058.69",
            "linux-headers-ibm": "5.4.0.1058.69",
            "linux-ibm": "5.4.0.1058.69",
            "linux-ibm-5.4-cloud-tools-common": "5.4.0-1058.63~18.04.1",
            "linux-image-ibm-edge": "5.4.0.1058.69",
            "linux-image-ibm": "5.4.0.1058.69",
            "linux-modules-extra-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-tools-5.4.0-1058-ibm": "5.4.0-1058.63~18.04.1",
            "linux-ibm-5.4-source-5.4.0": "5.4.0-1058.63~18.04.1"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-oracle-5.4

Package

Name
linux-oracle-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1110.119~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-extra-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-headers-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-image-oracle": "5.4.0.1110.119~18.04.82",
            "linux-buildinfo-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-signed-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-image-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-tools-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-modules-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-signed-oracle": "5.4.0.1110.119~18.04.82",
            "linux-oracle-5.4-tools-5.4.0-1110": "5.4.0-1110.119~18.04.1",
            "linux-signed-image-oracle": "5.4.0.1110.119~18.04.82",
            "linux-oracle-5.4-headers-5.4.0-1110": "5.4.0-1110.119~18.04.1",
            "linux-oracle": "5.4.0.1110.119~18.04.82",
            "linux-tools-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-headers-oracle": "5.4.0.1110.119~18.04.82",
            "linux-modules-extra-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-headers-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-signed-image-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-image-oracle-edge": "5.4.0.1110.119~18.04.82",
            "linux-tools-oracle": "5.4.0.1110.119~18.04.82",
            "linux-image-unsigned-5.4.0-1110-oracle": "5.4.0-1110.119~18.04.1",
            "linux-modules-extra-oracle": "5.4.0.1110.119~18.04.82"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-raspi-5.4

Package

Name
linux-raspi-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1095.106~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1095.92",
            "linux-tools-5.4.0-1095-raspi": "5.4.0-1095.106~18.04.1",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1095.92",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1095.92",
            "linux-image-raspi-hwe-18.04": "5.4.0.1095.92",
            "linux-raspi-5.4-tools-5.4.0-1095": "5.4.0-1095.106~18.04.1",
            "linux-raspi-hwe-18.04": "5.4.0.1095.92",
            "linux-image-5.4.0-1095-raspi": "5.4.0-1095.106~18.04.1",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1095.92",
            "linux-headers-5.4.0-1095-raspi": "5.4.0-1095.106~18.04.1",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1095.92",
            "linux-buildinfo-5.4.0-1095-raspi": "5.4.0-1095.106~18.04.1",
            "linux-raspi-5.4-headers-5.4.0-1095": "5.4.0-1095.106~18.04.1",
            "linux-modules-5.4.0-1095-raspi": "5.4.0-1095.106~18.04.1",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1095.92"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-164.181

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-generic-hwe-18.04": "5.4.0.164.161",
            "linux-headers-oem": "5.4.0.164.161",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-modules-5.4.0-164-generic": "5.4.0-164.181",
            "linux-lowlatency-hwe-18.04": "5.4.0.164.161",
            "linux-cloud-tools-5.4.0-164-generic": "5.4.0-164.181",
            "linux-cloud-tools-lowlatency": "5.4.0.164.161",
            "linux-cloud-tools-5.4.0-164": "5.4.0-164.181",
            "linux-cloud-tools-virtual": "5.4.0.164.161",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.164.161",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.164.161",
            "linux-generic-lpae-hwe-18.04": "5.4.0.164.161",
            "linux-headers-generic-hwe-18.04": "5.4.0.164.161",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.164.161",
            "linux-tools-5.4.0-164-generic-lpae": "5.4.0-164.181",
            "linux-oem-osp1-tools-host": "5.4.0.164.161",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.164.161",
            "linux-tools-virtual": "5.4.0.164.161",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.164.161",
            "linux-headers-5.4.0-164-generic": "5.4.0-164.181",
            "linux-image-extra-virtual": "5.4.0.164.161",
            "linux-oem": "5.4.0.164.161",
            "linux-source": "5.4.0.164.161",
            "linux-cloud-tools-generic": "5.4.0.164.161",
            "linux-image-virtual": "5.4.0.164.161",
            "linux-tools-generic": "5.4.0.164.161",
            "linux-modules-5.4.0-164-generic-lpae": "5.4.0-164.181",
            "linux-tools-5.4.0-164": "5.4.0-164.181",
            "linux-generic-lpae": "5.4.0.164.161",
            "linux-virtual": "5.4.0.164.161",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.164.161",
            "linux-modules-extra-5.4.0-164-generic": "5.4.0-164.181",
            "linux-image-unsigned-5.4.0-164-generic": "5.4.0-164.181",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.164.161",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.164.161",
            "linux-crashdump": "5.4.0.164.161",
            "linux-generic": "5.4.0.164.161",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.164.161",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-5.4.0-164-generic": "5.4.0-164.181",
            "linux-generic-hwe-18.04-edge": "5.4.0.164.161",
            "linux-cloud-tools-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-headers-generic-lpae": "5.4.0.164.161",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-generic-lpae": "5.4.0.164.161",
            "linux-tools-5.4.0-164-generic": "5.4.0-164.181",
            "linux-buildinfo-5.4.0-164-generic": "5.4.0-164.181",
            "linux-tools-lowlatency": "5.4.0.164.161",
            "linux-headers-5.4.0-164": "5.4.0-164.181",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.164.161",
            "linux-cloud-tools-common": "5.4.0-164.181",
            "linux-headers-oem-osp1": "5.4.0.164.161",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.164.161",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.164.161",
            "linux-libc-dev": "5.4.0-164.181",
            "linux-image-5.4.0-164-generic-lpae": "5.4.0-164.181",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.164.161",
            "linux-source-5.4.0": "5.4.0-164.181",
            "linux-doc": "5.4.0-164.181",
            "linux-headers-virtual-hwe-18.04": "5.4.0.164.161",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-tools-oem-osp1": "5.4.0.164.161",
            "linux-oem-osp1": "5.4.0.164.161",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.164.161",
            "linux-buildinfo-5.4.0-164-generic-lpae": "5.4.0-164.181",
            "linux-tools-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-headers-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-headers-generic": "5.4.0.164.161",
            "linux-tools-oem": "5.4.0.164.161",
            "linux-headers-lowlatency": "5.4.0.164.161",
            "linux-oem-tools-host": "5.4.0.164.161",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.164.161",
            "linux-headers-virtual": "5.4.0.164.161",
            "linux-image-lowlatency": "5.4.0.164.161",
            "linux-virtual-hwe-18.04": "5.4.0.164.161",
            "linux-image-oem": "5.4.0.164.161",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-headers-5.4.0-164-generic-lpae": "5.4.0-164.181",
            "linux-tools-host": "5.4.0-164.181",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.164.161",
            "linux-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-modules-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-image-generic-hwe-18.04": "5.4.0.164.161",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.164.161",
            "linux-image-virtual-hwe-18.04": "5.4.0.164.161",
            "linux-tools-generic-lpae": "5.4.0.164.161",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.164.161",
            "linux-image-unsigned-5.4.0-164-lowlatency": "5.4.0-164.181",
            "linux-image-oem-osp1": "5.4.0.164.161",
            "linux-tools-virtual-hwe-18.04": "5.4.0.164.161",
            "linux-tools-common": "5.4.0-164.181",
            "linux-tools-generic-hwe-18.04": "5.4.0.164.161",
            "linux-image-generic": "5.4.0.164.161",
            "linux-lowlatency": "5.4.0.164.161",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.164.161",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.164.161"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1111.120

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-aws-tools-5.4.0-1111": "5.4.0-1111.120",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1111.108",
            "linux-image-unsigned-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-aws-headers-5.4.0-1111": "5.4.0-1111.120",
            "linux-aws-lts-20.04": "5.4.0.1111.108",
            "linux-tools-aws-lts-20.04": "5.4.0.1111.108",
            "linux-buildinfo-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-modules-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-tools-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-headers-aws-lts-20.04": "5.4.0.1111.108",
            "linux-cloud-tools-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-modules-extra-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-image-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-headers-5.4.0-1111-aws": "5.4.0-1111.120",
            "linux-aws-cloud-tools-5.4.0-1111": "5.4.0-1111.120",
            "linux-image-aws-lts-20.04": "5.4.0.1111.108"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1117.124

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-azure-tools-5.4.0-1117": "5.4.0-1117.124",
            "linux-tools-azure-lts-20.04": "5.4.0.1117.110",
            "linux-cloud-tools-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-modules-extra-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-modules-extra-azure-lts-20.04": "5.4.0.1117.110",
            "linux-image-unsigned-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-modules-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-headers-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-cloud-tools-azure-lts-20.04": "5.4.0.1117.110",
            "linux-image-azure-lts-20.04": "5.4.0.1117.110",
            "linux-headers-azure-lts-20.04": "5.4.0.1117.110",
            "linux-tools-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-image-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-azure-headers-5.4.0-1117": "5.4.0-1117.124",
            "linux-buildinfo-5.4.0-1117-azure": "5.4.0-1117.124",
            "linux-azure-lts-20.04": "5.4.0.1117.110",
            "linux-azure-cloud-tools-5.4.0-1117": "5.4.0-1117.124"
        }
    ]
}

Ubuntu:20.04:LTS / linux-bluefield

Package

Name
linux-bluefield

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1072.78

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-bluefield-headers-5.4.0-1072": "5.4.0-1072.78",
            "linux-bluefield": "5.4.0.1072.67",
            "linux-buildinfo-5.4.0-1072-bluefield": "5.4.0-1072.78",
            "linux-tools-bluefield": "5.4.0.1072.67",
            "linux-headers-bluefield": "5.4.0.1072.67",
            "linux-image-5.4.0-1072-bluefield": "5.4.0-1072.78",
            "linux-tools-5.4.0-1072-bluefield": "5.4.0-1072.78",
            "linux-modules-5.4.0-1072-bluefield": "5.4.0-1072.78",
            "linux-image-unsigned-5.4.0-1072-bluefield": "5.4.0-1072.78",
            "linux-bluefield-tools-5.4.0-1072": "5.4.0-1072.78",
            "linux-image-bluefield": "5.4.0.1072.67",
            "linux-headers-5.4.0-1072-bluefield": "5.4.0-1072.78"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1115.124

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-gcp-headers-5.4.0-1115": "5.4.0-1115.124",
            "linux-tools-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-image-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-headers-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1115.117",
            "linux-image-gcp-lts-20.04": "5.4.0.1115.117",
            "linux-tools-gcp-lts-20.04": "5.4.0.1115.117",
            "linux-modules-extra-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-image-unsigned-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-gcp-tools-5.4.0-1115": "5.4.0-1115.124",
            "linux-modules-5.4.0-1115-gcp": "5.4.0-1115.124",
            "linux-headers-gcp-lts-20.04": "5.4.0.1115.117",
            "linux-gcp-lts-20.04": "5.4.0.1115.117",
            "linux-buildinfo-5.4.0-1115-gcp": "5.4.0-1115.124"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gkeop

Package

Name
linux-gkeop

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1078.82

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-gkeop-5.4": "5.4.0.1078.76",
            "linux-image-gkeop-5.4": "5.4.0.1078.76",
            "linux-gkeop-5.4": "5.4.0.1078.76",
            "linux-modules-extra-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-tools-gkeop": "5.4.0.1078.76",
            "linux-cloud-tools-gkeop": "5.4.0.1078.76",
            "linux-gkeop": "5.4.0.1078.76",
            "linux-gkeop-tools-5.4.0-1078": "5.4.0-1078.82",
            "linux-image-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-modules-extra-gkeop": "5.4.0.1078.76",
            "linux-modules-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-cloud-tools-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-buildinfo-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-gkeop-cloud-tools-5.4.0-1078": "5.4.0-1078.82",
            "linux-image-gkeop": "5.4.0.1078.76",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1078.76",
            "linux-gkeop-source-5.4.0": "5.4.0-1078.82",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1078.76",
            "linux-image-unsigned-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-headers-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-tools-5.4.0-1078-gkeop": "5.4.0-1078.82",
            "linux-tools-gkeop-5.4": "5.4.0.1078.76",
            "linux-gkeop-headers-5.4.0-1078": "5.4.0-1078.82",
            "linux-headers-gkeop": "5.4.0.1078.76"
        }
    ]
}

Ubuntu:20.04:LTS / linux-ibm

Package

Name
linux-ibm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1058.63

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-headers-ibm-lts-20.04": "5.4.0.1058.87",
            "linux-tools-ibm-lts-20.04": "5.4.0.1058.87",
            "linux-buildinfo-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-modules-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-headers-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-ibm-tools-5.4.0-1058": "5.4.0-1058.63",
            "linux-ibm-lts-20.04": "5.4.0.1058.87",
            "linux-ibm-tools-common": "5.4.0-1058.63",
            "linux-image-unsigned-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-modules-extra-ibm-lts-20.04": "5.4.0.1058.87",
            "linux-ibm-headers-5.4.0-1058": "5.4.0-1058.63",
            "linux-image-ibm-lts-20.04": "5.4.0.1058.87",
            "linux-ibm-source-5.4.0": "5.4.0-1058.63",
            "linux-modules-extra-5.4.0-1058-ibm": "5.4.0-1058.63",
            "linux-ibm-cloud-tools-common": "5.4.0-1058.63",
            "linux-tools-5.4.0-1058-ibm": "5.4.0-1058.63"
        }
    ]
}

Ubuntu:20.04:LTS / linux-iot

Package

Name
linux-iot

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1023.24

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-iot-headers-5.4.0-1023": "5.4.0-1023.24",
            "linux-iot-tools-common": "5.4.0-1023.24",
            "linux-image-unsigned-5.4.0-1023-iot": "5.4.0-1023.24",
            "linux-tools-iot": "5.4.0.1023.21",
            "linux-modules-5.4.0-1023-iot": "5.4.0-1023.24",
            "linux-buildinfo-5.4.0-1023-iot": "5.4.0-1023.24",
            "linux-headers-iot": "5.4.0.1023.21",
            "linux-image-5.4.0-1023-iot": "5.4.0-1023.24",
            "linux-iot": "5.4.0.1023.21",
            "linux-image-iot": "5.4.0.1023.21",
            "linux-headers-5.4.0-1023-iot": "5.4.0-1023.24",
            "linux-iot-tools-5.4.0-1023": "5.4.0-1023.24",
            "linux-tools-5.4.0-1023-iot": "5.4.0-1023.24"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1100.106

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "5.4.0.1100.95",
            "linux-modules-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-kvm": "5.4.0.1100.95",
            "linux-kvm-headers-5.4.0-1100": "5.4.0-1100.106",
            "linux-tools-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-tools-kvm": "5.4.0.1100.95",
            "linux-image-unsigned-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-image-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-kvm-tools-5.4.0-1100": "5.4.0-1100.106",
            "linux-headers-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-buildinfo-5.4.0-1100-kvm": "5.4.0-1100.106",
            "linux-image-kvm": "5.4.0.1100.95"
        }
    ]
}

Ubuntu:20.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1110.119

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-image-oracle-lts-20.04": "5.4.0.1110.103",
            "linux-oracle-tools-5.4.0-1110": "5.4.0-1110.119",
            "linux-oracle-lts-20.04": "5.4.0.1110.103",
            "linux-buildinfo-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-headers-oracle-lts-20.04": "5.4.0.1110.103",
            "linux-tools-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-modules-extra-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-headers-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-image-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-tools-oracle-lts-20.04": "5.4.0.1110.103",
            "linux-image-unsigned-5.4.0-1110-oracle": "5.4.0-1110.119",
            "linux-oracle-headers-5.4.0-1110": "5.4.0-1110.119"
        }
    ]
}

Ubuntu:20.04:LTS / linux-raspi

Package

Name
linux-raspi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1095.106

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-tools-5.4.0-1095-raspi": "5.4.0-1095.106",
            "linux-headers-raspi": "5.4.0.1095.125",
            "linux-image-raspi2": "5.4.0.1095.125",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-raspi-headers-5.4.0-1095": "5.4.0-1095.106",
            "linux-raspi2-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-headers-5.4.0-1095-raspi": "5.4.0-1095.106",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1095.125",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-modules-5.4.0-1095-raspi": "5.4.0-1095.106",
            "linux-headers-raspi2-hwe-18.04": "5.4.0.1095.125",
            "linux-raspi-tools-5.4.0-1095": "5.4.0-1095.106",
            "linux-image-raspi": "5.4.0.1095.125",
            "linux-image-raspi2-hwe-18.04": "5.4.0.1095.125",
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-tools-raspi2-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-headers-raspi2-hwe-18.04-edge": "5.4.0.1095.125",
            "linux-tools-raspi": "5.4.0.1095.125",
            "linux-image-raspi-hwe-18.04": "5.4.0.1095.125",
            "linux-raspi2-hwe-18.04": "5.4.0.1095.125",
            "linux-raspi": "5.4.0.1095.125",
            "linux-raspi-hwe-18.04": "5.4.0.1095.125",
            "linux-headers-raspi2": "5.4.0.1095.125",
            "linux-tools-raspi2": "5.4.0.1095.125",
            "linux-image-5.4.0-1095-raspi": "5.4.0-1095.106",
            "linux-raspi2": "5.4.0.1095.125",
            "linux-buildinfo-5.4.0-1095-raspi": "5.4.0-1095.106",
            "linux-tools-raspi2-hwe-18.04": "5.4.0.1095.125",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1095.125"
        }
    ]
}

Ubuntu:20.04:LTS / linux-xilinx-zynqmp

Package

Name
linux-xilinx-zynqmp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1031.35

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-xilinx-zynqmp": "5.4.0.1031.32",
            "linux-modules-5.4.0-1031-xilinx-zynqmp": "5.4.0-1031.35",
            "linux-image-xilinx-zynqmp": "5.4.0.1031.32",
            "linux-buildinfo-5.4.0-1031-xilinx-zynqmp": "5.4.0-1031.35",
            "linux-image-5.4.0-1031-xilinx-zynqmp": "5.4.0-1031.35",
            "linux-xilinx-zynqmp": "5.4.0.1031.32",
            "linux-xilinx-zynqmp-tools-5.4.0-1031": "5.4.0-1031.35",
            "linux-tools-xilinx-zynqmp": "5.4.0.1031.32",
            "linux-xilinx-zynqmp-headers-5.4.0-1031": "5.4.0-1031.35",
            "linux-headers-5.4.0-1031-xilinx-zynqmp": "5.4.0-1031.35",
            "linux-tools-5.4.0-1031-xilinx-zynqmp": "5.4.0-1031.35"
        }
    ]
}